
#ifndef REMOVE_MC_TEST
#include "ucps2.h"
#include "ucpm2.h"
#include <AgcShiftMultiSym.h>

__DM3 int ConfigAgcShiftMultiSym[] = {
  #include <ConfigAgcShiftMultiSym.dat>
};
__DM1 int AgcFactorAddr[] = {
  #include <AgcFactor.dat>
};
__DM0 int InputData[] = {
#include "TestAgcInput.dat"
};;

__DM2 int OutputData[5000];


v16u32 KI = { 2,4,6};

__DM3 v16s32 SVRReg  = {
		0, 0, 0, 0,
		0x40, 0, 0, 0,
		0xff00ff, 0, 0, 0x0000,
		0xffff, 0x6, 0, 0
};

int main(void)
{
  volatile int a ;
  int ReNum = 48;
  int Symbol_Ante_Num =32;
 // int AgcFactor[48]={4,8,-9,7,-1,2,-2,6,1,2,6,5,8,2,1,3,1,7,5,7,8,9,0,-1,2,1,0,1,2,6,5,8,2,0,0,-9,7,-1,2,0,0,0,0,1,2,6,5,8};

  AgcShiftMultiSym((int)ConfigAgcShiftMultiSym, MPU_ADDR(InputData), ReNum,Symbol_Ante_Num, MPU_ADDR(OutputData),MPU_ADDR(AgcFactorAddr));

  SVRReg[0] = MPU_ADDR(ConfigAgcShiftMultiSym);

  AgcShiftMultiSymAsm(SVRReg);

  a=__ucps2_getStatB();
    __ucps2_delay();
  return a;
}

#endif //DEBUG_MC
